Cannot import survey, incorrect permissions for the application /tmp folder.

More
1 year 4 weeks ago #167729 by yukito8000
Hi All,

Our university really likes LimeSurvey. We've been used LimeSurvey for 3 years. The Survey import function is always working fine. But we found that we cannot do survey import now. There will be an error message: data Error An error occurred uploading your file. This may be caused by incorrect permissions for the application /tmp folder.

We are now using the Version 2.72.2+171017
And we've checked that the application/tmp folder's permission is set to 777.
Could anyone please advise what we should do to solve this problem?
Many thanks.

Best wishes,
Lina

Please Log in or Create an account to join the conversation.

LimeSurvey Partners
More
1 year 4 weeks ago - 1 year 4 weeks ago #167738 by jelo

yukito8000 wrote: We are now using the Version 2.72.2+171017
And we've checked that the application/tmp folder's permission is set to 777.
Could anyone please advise what we should do to solve this problem?


Who installed LimeSurvey? If nobody has applied an update on LimeSurvey something changed on the server where LimeSurvey is installed. The person which is updating the server is the first person to talk to.
Or is that a fresh LimeSurvey installation with an old version?
Lastest release of that branch is 2.73.0 (19th Dec 2017).
www.limesurvey.org/stable-release/file/2...19zip?tmpl=component

777 hasn't to be the correct permission setting. There are setups where 777 is no longer allowed. Perhaps someone changed the webserver+php setup and hard-ended the server security a bit.

The meaning of the word "stable" for users
www.limesurvey.org/forum/development/117...ord-stable-for-users
Last edit: 1 year 4 weeks ago by jelo.
The following user(s) said Thank You: DenisChenu

Please Log in or Create an account to join the conversation.

More
1 month 1 week ago #183044 by stephanied
I've received the same message while trying to import. We have been using version 3.17.2 for several months now and have not had any issues. I also manage the server and did not make any changes. When investigating I noticed that the directory with our limesurvey alias did not have a tmp folder. I created one and gave it a 777 permission. I'm still unable to import.

Any suggestions? I really don't know what else to try.

Please Log in or Create an account to join the conversation.

More
1 month 1 week ago #183058 by Joffm

stephanied wrote: We have been using version 3.17.2 for several months now


Did I miss something?
IMO the latest version is 3.17.1 (build 190408)


Volunteers are not paid.
Not because they are worthless, but because they are priceless
The following user(s) said Thank You: DenisChenu

Please Log in or Create an account to join the conversation.

More
1 month 1 week ago #183085 by jelo

Joffm wrote: Did I miss something?
IMO the latest version is 3.17.1 (build 190408)

Currently the version number of 3.17.1 is
$config['versionnumber'] = '3.17.2';
Mistype in the PHP code.
github.com/LimeSurvey/LimeSurvey/commit/...d679db062f246ffeab51

The meaning of the word "stable" for users
www.limesurvey.org/forum/development/117...ord-stable-for-users
The following user(s) said Thank You: DenisChenu

Please Log in or Create an account to join the conversation.

More
1 month 1 week ago #183119 by stephanied
My apologies, I have version 3.17.0

Please Log in or Create an account to join the conversation.

More
1 month 1 week ago #183121 by stephanied
I'm not sure what caused it to work, but I am now able to import.

Please Log in or Create an account to join the conversation.

Start now!

Just create your account and start using Limesurvey today.

Register now
Join our Newsletter!